<template>
	<main class="mt-36">
		<h2 class="contents-title">Lists</h2>
		<div class="ml-24">
			<h5>Ordered List</h5>
			<div v-html="orderedList"></div>
			<Code :codeText="orderedList" />
			<h5>Unordered List</h5>
			<div v-html="unorderedList"></div>
			<Code :codeText="unorderedList" />
			<h5>Inline List</h5>
			<div v-html="inline"></div>
			<Code :codeText="inlineList" />
			<h5>No Style List</h5>
			<div v-html="noStyleList"></div>
			<Code :codeText="noStyleList" />
		</div>
		<ContentFooter />
	</main>
</template>

<script>
export default {
	data() {
		return {
			orderedList: `<ol>
    <li>Lorem ipsum dolor sit amet, consectetur adipisicing elit.</li>
    <li>Incidunt magni consequatur adipisci officiis vero placeat consectetur</li>
    <li>id facere,
        <ol type="a">
            <li>molestiae in,</li>
            <li>ducimus necessitatibus hic ad esse consequuntur</li>
        </ol>
    </li>
    <li>dignissimos sequi illum doloremque.</li>
</ol>`,
			unorderedList: `<ul>
    <li>Lorem ipsum dolor sit amet, consectetur adipisicing elit.</li>
    <li>Incidunt magni consequatur adipisci officiis vero placeat consectetur</li>
    <li>id facere,
        <ul>
            <li>molestiae in,</li>
            <li>ducimus necessitatibus hic ad esse consequuntur</li>
        </ul>
    </li>
    <li>dignissimos sequi illum doloremque.</li>
</ul>`,
			inlineList: `<ol class="list-inline">
    <li>Lorem > </li>
    <li>Ipsum > </li>
    <li>Dolor</li>
</ol>`,
			noStyleList: `<ul class="list-nostyle">
    <li>Lorem ipsum dolor sit amet, consectetur adipisicing elit.</li>
    <li>Incidunt magni consequatur adipisci officiis vero placeat consectetur</li>
    <li>id facere,
        <ul>
            <li>molestiae in,</li>
            <li>ducimus necessitatibus hic ad esse consequuntur</li>
        </ul>
    </li>
    <li>dignissimos sequi illum doloremque.</li>
</ul>`
		}
	}
}
</script>

<style lang="scss" scoped>
main {
	color: $text;
	width: 100%;
}
</style>
